net.sf.jasperreports.engine.analytics.dataset

## Class BaseDataLevelBucket

- java.lang.Object
- - net.sf.jasperreports.engine.analytics.dataset.BaseDataLevelBucket

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, DataLevelBucket, JRCloneable
  Direct Known Subclasses:
    DesignDataLevelBucket

      public class BaseDataLevelBucket
      extends java.lang.Object
      implements DataLevelBucket, java.io.Serializable

  Version:
    $Id: BaseDataLevelBucket.java 5970 2013-03-12 10:33:19Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<DataLevelBucketProperty>` | `bucketProperties`
    `protected JRExpression` | `comparatorExpression`
    `protected JRExpression` | `expression`
    `protected BucketOrder` | `order`
    `protected SortOrderEnum` | `orderValue` Deprecated.
    `protected java.lang.Class<?>` | `valueClass`
    `protected java.lang.String` | `valueClassName`
    `protected java.lang.String` | `valueClassRealName`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BaseDataLevelBucket()`
    `` | `BaseDataLevelBucket(DataLevelBucket bucket, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `java.util.List<DataLevelBucketProperty>` | `getBucketProperties()`
    `JRExpression` | `getComparatorExpression()` Returns the comparator expression.
    `JRExpression` | `getExpression()` Returns the grouping expression.
    `BucketOrder` | `getOrder()` Returns the bucket sorting type.
    `SortOrderEnum` | `getOrderValue()` Deprecated.
    `java.lang.Class<?>` | `getValueClass()` Returns the class of the bucket value.
    `java.lang.String` | `getValueClassName()` Returns the string name of the bucket value class.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### valueClassName

          protected java.lang.String valueClassName

    - #### valueClassRealName

          protected java.lang.String valueClassRealName

    - #### valueClass

          protected java.lang.Class<?> valueClass

    - #### orderValue

          @Deprecated
          protected SortOrderEnum orderValue

      Deprecated.

    - #### order

          protected BucketOrder order

    - #### expression

          protected JRExpression expression

    - #### comparatorExpression

          protected JRExpression comparatorExpression

    - #### bucketProperties

          protected java.util.List<DataLevelBucketProperty> bucketProperties

  - ### Constructor Detail

    - #### BaseDataLevelBucket

          protected BaseDataLevelBucket()

    - #### BaseDataLevelBucket

          public BaseDataLevelBucket(DataLevelBucket bucket,
                             JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getValueClassName

          public java.lang.String getValueClassName()

      Description copied from interface: `DataLevelBucket`
      Returns the string name of the bucket value class.
      Specified by:
        `getValueClassName` in interface `DataLevelBucket`

    - #### getOrderValue

          @Deprecated
          public SortOrderEnum getOrderValue()

      Deprecated.
      Description copied from interface: `DataLevelBucket`
      Returns the bucket sorting type.

      The possible values are:

      - `SortOrderEnum.ASCENDING`
      - `SortOrderEnum.DESCENDING`
      Specified by:
        `getOrderValue` in interface `DataLevelBucket`
      Returns:
        the bucket sorting type

    - #### getOrder

          public BucketOrder getOrder()

      Description copied from interface: `DataLevelBucket`
      Returns the bucket sorting type.

      The possible values are:

      - `BucketOrder.ASCENDING`
      - `BucketOrder.DESCENDING`
      - `BucketOrder.NONE`
      Specified by:
        `getOrder` in interface `DataLevelBucket`
      Returns:
        the bucket sorting type
      See Also:
        `DataLevelBucket.getComparatorExpression()`

    - #### getExpression

          public JRExpression getExpression()

      Description copied from interface: `DataLevelBucket`
      Returns the grouping expression.
      Specified by:
        `getExpression` in interface `DataLevelBucket`
      Returns:
        the grouping expression

    - #### getComparatorExpression

          public JRExpression getComparatorExpression()

      Description copied from interface: `DataLevelBucket`
      Returns the comparator expression.

      The result of this expression is used to sort the buckets, in ascending or descending order (given by `getOrder()`. If the order type is `BucketOrder.NONE`, no sorting will be performed and the comparator expression will be ignored.

      If no comparator expression is specified, the natural order will be used.

      If the bucket has an order by expression, the comparator will be used to compare values as produced by that expression.

      Specified by:
        `getComparatorExpression` in interface `DataLevelBucket`
      Returns:
        the comparator expression

    - #### getValueClass

          public java.lang.Class<?> getValueClass()

      Description copied from interface: `DataLevelBucket`
      Returns the class of the bucket value. Any class is allowed as long as it is in the classpath at compile and run time.
      Specified by:
        `getValueClass` in interface `DataLevelBucket`
      Returns:
        a `Class` instance representing the bucket value class

    - #### getBucketProperties

          public java.util.List<DataLevelBucketProperty> getBucketProperties()

      Specified by:
        `getBucketProperties` in interface `DataLevelBucket`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com